package com.idea.message.controller;

import com.github.pagehelper.PageInfo;
import com.idea.message.model.SysMessageInfo;
import com.idea.message.model.SysMessageInfoExample;
import com.idea.message.request.SysMessageRequest;
import com.idea.message.service.MessageInfoService;
import com.idea.message.service.MessageReadService;
import com.rockstar.common.base.BaseController;
import com.rockstar.common.domain.AjaxResult;
import com.rockstar.frame.model.extend.TableSplitResult;
import com.rockstar.frame.model.extend.Tablepar;
import com.rockstar.shiro.util.ShiroUtils;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Date;
import java.util.List;

@Controller
@RequestMapping(value = "sysMessageController")
@Api(value="发送消息")
public class MessageController extends BaseController {
    @Autowired
    private MessageInfoService sysMessageInfoService;
    @Autowired
    private MessageReadService sysMessageReadService;

    @PostMapping(value = "list",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object list(SysMessageRequest model, Tablepar tablepar){
//        model.setPushState("0");
        PageInfo<SysMessageInfo> page = sysMessageInfoService.findByList(tablepar,model);
        TableSplitResult<SysMessageInfo> result=new TableSplitResult<SysMessageInfo>(page.getPageNum(), page.getTotal(), page.getList());
        return  result;
    }

    @PostMapping(value = "add",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult add(SysMessageInfo msg){
        msg.setCreateTime(new Date());
        msg.setCreateBy(ShiroUtils.getUserId());
        msg.setCreateName(ShiroUtils.getUser().getTruename());
        msg.setUpdateTime(new Date());
        msg.setUpdateBy(ShiroUtils.getUserId());
        msg.setUpdateName(ShiroUtils.getUser().getTruename());
        msg.setState("1");
        int result = sysMessageInfoService.insert(msg);
        return result(result);
    }

    @PostMapping(value = "remove/{id}",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult remove(@PathVariable("id") String id){
        int result = sysMessageInfoService.deleteByPrimaryKey(id);
        return result(result);
    }

    @PostMapping(value = "edit",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult editSave(SysMessageInfo msg){
        msg.setUpdateTime(new Date());
        msg.setUpdateBy(ShiroUtils.getUserId());
        msg.setUpdateName(ShiroUtils.getUser().getTruename());
        int result = sysMessageInfoService.updateByPrimaryKeySelective(msg);
        return result(result);
    }

    @PostMapping(value = "getById",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public SysMessageInfo getbyId(String id) {
        return sysMessageInfoService.selectByPrimaryKey(id);
    }

    @PostMapping(value = "getByStaging",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public SysMessageInfo getByStaging() {
        SysMessageInfoExample example = new SysMessageInfoExample();
        example.setOrderByClause("create_time desc");
        example.createCriteria().andCreateByEqualTo(ShiroUtils.getUserId()).andPushStateEqualTo("1");
        List<SysMessageInfo> list = sysMessageInfoService.selectByExample(example);
        if(null != list && list.size() > 0)
            return list.get(0);
        return new SysMessageInfo();
    }

    @PostMapping(value = "push",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult push(String id, String state) {
        SysMessageInfo msg = sysMessageInfoService.selectByPrimaryKey(id);
        if(null != msg){
            if("0".equals(state)){
                msg.setState("0");
                msg.setPushBy(ShiroUtils.getUserId());
                msg.setPushName(ShiroUtils.getUser().getTruename());
                msg.setPushTime(new Date());
            }else{
                msg.setState("2");
            }
            sysMessageInfoService.updateByPrimaryKeySelective(msg);
        }
        return result(1);
    }

}
