package com.idea.message.controller;

import com.github.pagehelper.PageInfo;
import com.idea.message.model.SysMessageInfo;
import com.idea.message.model.SysMessageRead;
import com.idea.message.model.SysMessageReadExample;
import com.idea.message.service.MessageInfoService;
import com.idea.message.service.MessageReadService;
import com.rockstar.common.base.BaseController;
import com.rockstar.common.domain.AjaxResult;
import com.rockstar.frame.model.extend.DateTrans;
import com.rockstar.frame.model.extend.TableSplitResult;
import com.rockstar.frame.model.extend.Tablepar;
import com.rockstar.shiro.util.ShiroUtils;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Date;

@Controller
@RequestMapping(value = "SysMessageWorkController")
@Api(value="发送消息")
public class MessageWorkController extends BaseController {
    @Autowired
    private MessageInfoService sysMessageInfoService;
    @Autowired
    private MessageReadService sysMessageReadService;

    // 获取系统版本号
    @PostMapping(value = "getSysVersionNo",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object getSysVersionNo(){
        SysMessageInfo msg = sysMessageInfoService.getSysVersionNo();
        return msg;
    }

    // 获取所有系统消息
    @PostMapping(value = "getAllList",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object getAllList(Tablepar tablepar){
        PageInfo<SysMessageInfo> page = sysMessageInfoService.list(tablepar, new SysMessageInfo(), new DateTrans());
        TableSplitResult<SysMessageInfo> result = new TableSplitResult<SysMessageInfo>(page.getPageNum(), page.getTotal(), page.getList());
        return  result;
    }

    // 获取我未读的系统消息
    @PostMapping(value = "myNotReadlist",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object myNotReadlist(Tablepar tablepar){
        PageInfo<SysMessageInfo> page = sysMessageInfoService.getNotReadList(tablepar);
        TableSplitResult<SysMessageInfo> result = new TableSplitResult<SysMessageInfo>(page.getPageNum(), page.getTotal(), page.getList());
        return  result;
    }

    // 获取我已读的系统消息
    @PostMapping(value = "myInReadlist",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object myInReadlist(Tablepar tablepar){
        PageInfo<SysMessageInfo> page = sysMessageInfoService.getInReadList(tablepar);
        TableSplitResult<SysMessageInfo> result=new TableSplitResult<SysMessageInfo>(page.getPageNum(), page.getTotal(), page.getList());
        return  result;
    }

    // 阅读消息
    @PostMapping(value = "readMsg",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult readMsg(String id) {
        String userId = ShiroUtils.getUserId();
        SysMessageReadExample example = new SysMessageReadExample();
        example.createCriteria().andUserIdEqualTo(userId).andMsgIdEqualTo(id);
        long size = sysMessageReadService.countByExample(example);
        if(size <= 0){
            SysMessageRead read = new SysMessageRead();
            read.setMsgId(id);
            read.setUserId(userId);
            read.setReadTime(new Date());
            sysMessageReadService.insert(read);
        }
        return result(1);
    }
}
