package com.idea.oa.apply.controller;

import com.idea.buildManage.mapper.ParkRoomExtendMapper;
import com.idea.buildManage.response.ParkRoomResponse;
import com.idea.oa.apply.model.inout.AddConfirmResult;
import com.idea.oa.apply.model.inout.ApplyReceivablesAdjustDto;
import com.idea.oa.apply.model.inout.ApplyReceivablesAdjustDto;
import com.idea.oa.apply.service.ApplyContractService;
import com.idea.oa.apply.service.ApplyReceivablesAdjustService;
import com.idea.oa.apply.util.constant.ConstantFlowType;
import com.idea.oa.flow2.model.FlowMain;
import com.idea.oa.flow2.model.FlowMainPush;
import com.idea.oa.flow2.model.in.FlowMainCcVo;
import com.idea.oa.flow2.service.FlowMainCcService;
import com.idea.oa.flow2.service.FlowMainPushService;
import com.idea.oa.flow2.service.FlowMainService;
import com.idea.workPanel.enume.HandleTypeEnum;
import com.idea.workPanel.service.ParkWaitHandleService;
import com.rockstar.common.base.BaseController;
import com.rockstar.common.domain.AjaxResult;
import com.rockstar.flow.exception.FlowException;
import com.rockstar.frame.service.FrameUserService;
import com.rockstar.shiro.util.ShiroUtils;
import com.rockstar.util.UUIDUtils;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by zt on 2023
 */
@Slf4j
@Controller
@RequestMapping(value = "/ApplyReceivablesAdjustController")
@Api(value = "分表_应收款调整申请")
public class ApplyReceivablesAdjustController extends BaseController {

    //主表
    @Autowired
    private ApplyReceivablesAdjustService modelService;

    @Autowired
    private FlowMainCcService flowMainCcService;
    @Autowired
    private FlowMainPushService flowMainPushService;
    @Autowired
    private FlowMainService flowMainService;
    @Autowired
    private FrameUserService frameUserService;
    @Autowired
    private ParkWaitHandleService parkWaitHandleService;
    @Autowired
    private ParkRoomExtendMapper roomExtendMapper;



    /**
     * 合同用章记录编号 : 合同用章领用单20240401-002
     *
     * @return
     */
    @PostMapping(value = "getMaxNum", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public String getMaxNum() {

        return modelService.getMaxNum();
    }

    /**
     * 添加审核结果
     * 根据不同的状态值confirmResult判断是 1:审核通过,转下一步;2:退回发起人;3:退回上节点;4:结束流程;
     *
     * @param addConfirmResult
     * @return
     */
    @PostMapping(value = "AddConfirmResult", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    @Transactional
    public AjaxResult AddConfirmResult(AddConfirmResult addConfirmResult) throws FlowException {
        System.out.println("AddConfirmResult");
        System.out.println(addConfirmResult);
        if (addConfirmResult.getConfirmResult() == null) {
            return result(-1);
        }
//        String deploymentid = ConstantFlowType.USE_MONEY_DEPLOYMENTID;
//        String constantFlowType = ConstantFlowType.USE_MONEY;
        FlowMainPush flowMainPush = flowMainPushService.selectByPrimaryKey(addConfirmResult.getFlowMainPushId());


        String isOkString = null;
        {//进行审核判断

            //添加判断条件
            HashMap<String, Object> feeMoneyTotalMap = null;//new HashMap<>();

            isOkString = flowMainService.doConfirmResult(addConfirmResult, ConstantFlowType.RECEIVABLES_ADJUST_DEPLOYMENTID, ConstantFlowType.RECEIVABLES_ADJUST, flowMainPush, feeMoneyTotalMap);
            if (!"ok_end".equals(isOkString) && !"ok_noEnd".equals(isOkString)) {
                return AjaxResult.error(isOkString);
            }
        }

        String waitUrl = modelService.getWaitUrl();
        FlowMain flowMain = flowMainService.selectByPrimaryKey(flowMainPush.getFlowMainId());
        String flowId = flowMain.getId();
        // 进行审核操作后 就要处理待办 清除数据
        String param = "id=" + flowId + "&flowMainPushId=" + flowMainPush.getId() + "&applyUser=" + flowMain.getApplyUser();
        parkWaitHandleService.userHandle(HandleTypeEnum.YSKTZ, param, ShiroUtils.getUserId());

        Boolean isEnd = false;//是否结束
        Boolean isAgree = false;//是否同意
        if (addConfirmResult.getConfirmResult().equals("4")) {//结束流程
            isEnd = true;
            isAgree = false;
        } else if (addConfirmResult.getConfirmResult().equals("1")) {//1:审核通过,转下一步
            if ("ok_end".equals(isOkString)) {
                isEnd = true;
                isAgree = true;
            } else {
                modelService.pushOaAndHandle(flowMainPush, flowMain, waitUrl);
            }
        } else if (addConfirmResult.getConfirmResult().equals("2")) { // 退回发起人
            modelService.pushOaAndHandle(flowMainPush, flowMain, waitUrl);
        } else if (addConfirmResult.getConfirmResult().equals("3")) { // 退回上一节点
            modelService.pushOaAndHandle(flowMainPush, flowMain, waitUrl);
        }
        //添加业务信息(将请假信息中的修改掉,剩余年假,剩余调休,冻结年假,冻结调休都修改掉)
        if (isEnd) {

        }

        return result(1);
    }


    /**
     * 发起应收款调整申请流程
     *
     * @param record
     * @return
     */
    @PostMapping(value = "addApplyReceivablesAdjust", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    @Transactional
    public AjaxResult addApplyReceivablesAdjust(ApplyReceivablesAdjustDto record, String deptId, String tagerUserId) throws FlowException {
        System.out.println(record);
        if (false) {
            return AjaxResult.error("这是一个错误测试信息");
        }
        return myaddApplyReceivablesAdjust(record, null, deptId,  tagerUserId);
    }

    /**
     * 申请人重新发起申请
     *
     * @param record
     * @return
     */
    @PostMapping(value = "addApplyReceivablesAdjustAgain", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    @Transactional
    public AjaxResult addApplyReceivablesAdjustAgain(ApplyReceivablesAdjustDto record,String deptId, String tagerUserId) throws FlowException {
        System.out.println("addApplyReceivablesAdjustAgain");
        if (StringUtils.isEmpty(record.getFlowMainId())) {
            return AjaxResult.error("没有传入flowMainId的值");
        }
        System.out.println(record);
//        record.setRemark("重新发起申请[" + record.getFlowMainId() + "],");
        {//修改重新发起前的表状态
            FlowMain flowMain1 = new FlowMain();
            flowMain1.setId(record.getFlowMainId());
            flowMain1.setReturnStatus(1);//0/null无状态,1已撤回并且已重新发起
            flowMain1.setUpdatedAt(new Date());
            flowMain1.setUpdatedBy(ShiroUtils.getUser().getId());
            flowMainService.updateByPrimaryKeySelective(flowMain1);
        }
        return myaddApplyReceivablesAdjust(record, "重新发起申请[" + record.getFlowMainId() + "],", deptId,  tagerUserId);
    }

    /**
     * 发起请假申请流程
     *
     * @param record
     * @return
     */
    public AjaxResult myaddApplyReceivablesAdjust(ApplyReceivablesAdjustDto record, String addSystemRemark,String deptId, String tagerUserId) throws FlowException {


        String id = UUIDUtils.middleUUID();
        {
            ParkRoomResponse response = roomExtendMapper.getFullName(record.getHouseId());
            String fullname = response.getGroupName() + "-" + response.getDiscName() + "-" + response.getBuildName()
                    + "-" + response.getRoomNo();
            record.setHouseName(fullname);
            record.setFlowNum(modelService.getMaxNum());
            record.setUpdatedAt(new Date());
            record.setCreatedAt(record.getUpdatedAt());
            record.setCreatedBy(ShiroUtils.getUser().getId());
            record.setUpdatedBy(record.getCreatedBy());
            record.setCreatedByDept(ShiroUtils.getUser().getDepartment());
            record.setFlowNum(UUIDUtils.middleUUID());
            record.setStatus(0);
            record.setId(id);
            modelService.insertWithoutId(record);
        }

        HashMap<String, Object> feeMoneyTotalMap = null;//new HashMap<>();
        String applyTheme = "" + ShiroUtils.getUser().getTruename() + "的合同用章申请单";
        AjaxResult ajaxResult = flowMainService.doFlowMain(applyTheme, record.getId(), addSystemRemark, record.getCcList(), ConstantFlowType.RECEIVABLES_ADJUST_PROCESSDEFINE, ConstantFlowType.RECEIVABLES_ADJUST_DEPLOYMENTID, feeMoneyTotalMap, ConstantFlowType.RECEIVABLES_ADJUST_NAME, ConstantFlowType.RECEIVABLES_ADJUST, ShiroUtils.getUser(), deptId, tagerUserId);

        modelService.startOaAndHandle(record.getId(), applyTheme);
        if (ajaxResult.get("code").equals(1688)) {
            return AjaxResult.success();
        } else {

            return ajaxResult;
        }

    }


    /**
     * 根据推送表的FlowMainPushId获取信息
     *
     * @param flowMainPushId
     * @return
     */
    @PostMapping(value = "getInfoByFlowMainPushId", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public ApplyReceivablesAdjustDto getInfoByFlowMainPushId(String flowMainPushId) {
        ApplyReceivablesAdjustDto myApplyReceivablesAdjustDto = modelService.getInfoByFlowMainPushId(flowMainPushId);
        if (myApplyReceivablesAdjustDto != null) {
            {//获取抄送人

                List<FlowMainCcVo> flowMainCcList = flowMainCcService.selectVoByFlowMainId(myApplyReceivablesAdjustDto.getFlowMainId());

                myApplyReceivablesAdjustDto.setFlowMainCcList(flowMainCcList);

            }

        }
        return myApplyReceivablesAdjustDto;
    }


    /**
     * 根据主表的FlowMainId获取信息
     *
     * @param flowMainId
     * @return
     */
    @PostMapping(value = "getInfoByFlowMainId", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public ApplyReceivablesAdjustDto getInfoByFlowMainId(String flowMainId) {
        ApplyReceivablesAdjustDto myApplyReceivablesAdjustDto = modelService.getInfoByFlowMainId(flowMainId);
        if (myApplyReceivablesAdjustDto != null) {
            {//获取抄送人

                List<FlowMainCcVo> flowMainCcList = flowMainCcService.selectVoByFlowMainId(myApplyReceivablesAdjustDto.getFlowMainId());

                myApplyReceivablesAdjustDto.setFlowMainCcList(flowMainCcList);

            }


        }
        return myApplyReceivablesAdjustDto;
    }

    /**
     * 根据用户id获取用户姓名和部门名称,岗位信息
     *
     * @param userId
     * @return
     */
    @PostMapping(value = "getUserInfoByUserId", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Map<String, Object> getUserInfoByUserId(String userId) {
        if (StringUtils.isEmpty(userId)) {
            userId = ShiroUtils.getUser().getId();
        }
        return modelService.getUserInfoByUserId(userId);
    }







}

