package com.idea.oa.flow2.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.idea.oa.flow2.mapper.FlowMainCcExtendMapper;
import com.idea.oa.flow2.mapper.FlowMainCcMapper;
import com.idea.oa.flow2.model.FlowMainCc;
import com.idea.oa.flow2.model.FlowMainCcExample;
import com.idea.oa.flow2.model.in.FlowMainCcVo;
import com.rockstar.common.base.BaseService;
import com.rockstar.common.support.Convert;
import com.rockstar.frame.model.extend.DateTrans;
import com.rockstar.frame.model.extend.Tablepar;
import com.rockstar.util.UUIDUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class FlowMainCcService implements BaseService<FlowMainCc, FlowMainCcExample> {

    //文件mapper
    @Autowired
    private FlowMainCcMapper modelMapper;

    @Autowired
    private FlowMainCcExtendMapper flowMainCcExtendMapper;
    /**
     * 分页查询
     *
     * @return
     */
    public PageInfo<FlowMainCc> list(Tablepar tablepar, FlowMainCc model, DateTrans dt) {
        PageHelper.startPage(tablepar.getPageNum(), tablepar.getPageSize());
        List<FlowMainCc> list = null;//modelMapper.selectByExample(getCondition(model,dt));
        PageInfo<FlowMainCc> pageInfo = new PageInfo<>(list);
        return pageInfo;
    }

   public Object listAll(FlowMainCc model, DateTrans dt) {
        List<FlowMainCc> list = null;//modelMapper.selectByExample(getCondition(model,dt));
        return list;
    }




    @Override
    public int deleteByPrimaryKey(String ids) {
        List<String> lista = Convert.toListStrArray(ids);
        FlowMainCcExample example = new FlowMainCcExample();
        example.createCriteria().andIdIn(lista);
        return modelMapper.deleteByExample(example);
    }

    @Override
    public FlowMainCc selectByPrimaryKey(String id) {
        return modelMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(FlowMainCc record) {
        return modelMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByExampleSelective(FlowMainCc record, FlowMainCcExample example) {
        return modelMapper.updateByExampleSelective(record, example);
    }

    @Override
    public int updateByExample(FlowMainCc record, FlowMainCcExample example) {
        return modelMapper.updateByExample(record, example);
    }

    @Override
    public List<FlowMainCc> selectByExample(FlowMainCcExample example) {
        return modelMapper.selectByExample(example);
    }

    @Override
    public long countByExample(FlowMainCcExample example) {
        return modelMapper.countByExample(example);
    }


    @Override
    public int deleteByExample(FlowMainCcExample example) {
        return modelMapper.deleteByExample(example);
    }

    public int insert(FlowMainCc record){
        record.setId(UUIDUtils.middleUUID());
        return insertWithoutId(record);
    }

    public int insertWithoutId(FlowMainCc record){
        record.setCreatedAt(new Date());
        return modelMapper.insert(record);
    }

    @Override
    public int insertSelective(FlowMainCc record) {
        record.setId(UUIDUtils.middleUUID());
        record.setCreatedAt(new Date());
        return modelMapper.insertSelective(record);
    }


    public List<FlowMainCcVo> selectVoByFlowMainId(String flowMainId) {
        return flowMainCcExtendMapper.selectVoByFlowMainId(flowMainId);
    }
}
