package com.idea.saleManage.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import com.idea.saleManage.mapper.PropertyRegistrationMapper;
import com.idea.saleManage.model.CheckIn;
import com.idea.saleManage.model.PropertyRegistration;
import com.idea.saleManage.model.PropertyRegistrationExample;
import com.idea.saleManage.model.PropertyRegistrationMore;
import com.rockstar.common.base.BaseService;
import com.rockstar.common.support.Convert;
import com.rockstar.frame.model.extend.DateTrans;
import com.rockstar.frame.model.extend.Tablepar;
import com.rockstar.util.DateUtils;
import com.rockstar.util.StringUtils;
import com.rockstar.util.UUIDUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class PropertyRegistrationService implements BaseService<PropertyRegistration, PropertyRegistrationExample> {

    //文件mapper
    @Autowired
    private PropertyRegistrationMapper modelMapper;

    /**
     * 分页查询
     *
     * @return
     */
    public PageInfo<PropertyRegistrationMore> list(Tablepar tablepar, PropertyRegistrationMore model, DateTrans dt) {
        PageHelper.startPage(tablepar.getPageNum(), tablepar.getPageSize());
        List<PropertyRegistrationMore> list = modelMapper.findList(model);
        PageInfo<PropertyRegistrationMore> pageInfo = new PageInfo<>(list);
        return pageInfo;
    }

   public Object listAll(PropertyRegistrationMore model, DateTrans dt) {
        List<PropertyRegistrationMore> list = modelMapper.findList(model);
        return list;
    }




    @Override
    public int deleteByPrimaryKey(String ids) {
        List<String> lista = Convert.toListStrArray(ids);
        PropertyRegistrationExample example = new PropertyRegistrationExample();
        example.createCriteria().andIdIn(lista);
        return modelMapper.deleteByExample(example);
    }

    @Override
    public PropertyRegistration selectByPrimaryKey(String id) {
        return modelMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(PropertyRegistration record) {
        return modelMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByExampleSelective(PropertyRegistration record, PropertyRegistrationExample example) {
        return modelMapper.updateByExampleSelective(record, example);
    }

    @Override
    public int updateByExample(PropertyRegistration record, PropertyRegistrationExample example) {
        return modelMapper.updateByExample(record, example);
    }

    @Override
    public List<PropertyRegistration> selectByExample(PropertyRegistrationExample example) {
        return modelMapper.selectByExample(example);
    }

    @Override
    public long countByExample(PropertyRegistrationExample example) {
        return modelMapper.countByExample(example);
    }


    @Override
    public int deleteByExample(PropertyRegistrationExample example) {
        return modelMapper.deleteByExample(example);
    }

    public int insert(PropertyRegistration record){
        record.setId(UUIDUtils.middleUUID());
        return insertWithoutId(record);
    }

    public int insertWithoutId(PropertyRegistration record){
        return modelMapper.insert(record);
    }

    @Override
    public int insertSelective(PropertyRegistration record) {
        record.setId(UUIDUtils.middleUUID());
        return modelMapper.insertSelective(record);
    }

    public int updateByPrimaryKey(PropertyRegistration model) {
        return modelMapper.updateByPrimaryKey(model);
    }
}
