package com.idea.transactionRecordManage.controller;

import com.github.pagehelper.PageInfo;
import com.idea.buildManage.model.HouseType;
import com.idea.buildManage.response.ParkRoomResponse;
import com.idea.transactionRecordManage.service.TransactionRecordService;
import com.idea.transactionRecordManage.vo.NccRecordVo;
import com.rockstar.common.base.BaseController;
import com.rockstar.common.domain.AjaxResult;
import com.rockstar.frame.model.extend.DateTrans;
import com.rockstar.frame.model.extend.TableSplitResult;
import com.rockstar.frame.model.extend.Tablepar;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Controller
@RequestMapping(value = "TransactionRecordController")
@Api(tags = "交易记录管理")
public class TransactionRecordController extends BaseController  {

    @Autowired
    private TransactionRecordService modelService;

    /**
     * 收款记录
     * @param model
     * @return
     */
    @PostMapping(value = "collectionRecord", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object collectionRecord(Tablepar tablepar, NccRecordVo model) {
        PageInfo<NccRecordVo> page = modelService.collectionRecord(tablepar, model);
        TableSplitResult<NccRecordVo> result = new TableSplitResult<NccRecordVo>(page.getPageNum(), page.getTotal(), page.getList());
        return result;
    }

    @PostMapping(value = "collectionRecordListAll", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object collectionRecordListAll(NccRecordVo model) {
        List<NccRecordVo> list = modelService.collectionRecordListAll(model);
        return list;
    }


    /**
     * 退款记录
     * @param model
     * @return
     */
    @PostMapping(value = "refundRecord", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object refundRecord(Tablepar tablepar, NccRecordVo model) {
        PageInfo<NccRecordVo> page = modelService.refundRecord(tablepar, model);
        TableSplitResult<NccRecordVo> result = new TableSplitResult<NccRecordVo>(page.getPageNum(), page.getTotal(), page.getList());
        return result;
    }

    @PostMapping(value = "refundRecordListAll", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object refundRecordListAll(NccRecordVo model) {
        List<NccRecordVo> list = modelService.refundRecordListAll(model);
        return list;
    }

    /**
     * 转换记录
     * @param tablepar
     * @param model
     * @return
     */
    @PostMapping(value = "convertRecord", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object convertRecord(Tablepar tablepar, NccRecordVo model) {
        PageInfo<NccRecordVo> page = modelService.convertRecord(tablepar, model);
        TableSplitResult<NccRecordVo> result = new TableSplitResult<NccRecordVo>(page.getPageNum(), page.getTotal(), page.getList());
        return result;
    }

    @PostMapping(value = "convertRecordListAll", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object convertRecordListAll(NccRecordVo model) {
        List<NccRecordVo> list = modelService.convertRecordListAll(model);
        return list;
    }



    /**
     * 收款记录 ncc提交
     * @param collectionDateFrom
     * @param collectionDateTo
     * @return
     */
    @PostMapping(value = "collectionRecordSubmit", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult collectionRecordSubmit(String ids, String collectionDateFrom, String collectionDateTo) {
        modelService.collectionRecordSubmit(ids,collectionDateFrom, collectionDateTo);
        return AjaxResult.success();
    }


    /**
     * 退款记录 ncc提交
     * @param collectionDateFrom
     * @param collectionDateTo
     * @return
     */
    @PostMapping(value = "refundRecordSubmit", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult refundRecordSubmit(String ids, String collectionDateFrom, String collectionDateTo) {
        modelService.refundRecordSubmit(ids,collectionDateFrom, collectionDateTo);
        return AjaxResult.success();
    }

    /**
     * 转换记录 ncc提交
     * @param collectionDateFrom
     * @param collectionDateTo
     * @return
     */
    @PostMapping(value = "convertRecordSubmit", produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public AjaxResult convertRecordSubmit(String ids, String collectionDateFrom, String collectionDateTo) {
        modelService.convertRecordSubmit(ids,collectionDateFrom, collectionDateTo);
        return AjaxResult.success();
    }
}
