package com.idea.transactionRecordManage.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class NccRecordVo {

    private String id;

    private String groupName;

    private String discName;

    private String buildName;

    private String houseName;

    /**
     * 流水号
     */
    private String serialNumber;

    /**
     * 买受人
     */
    private String buyerName;

    /**
     * 金额
     */
    private String money;

    /**
     * 收/退款类型（款项内容） 1-定金，2-首付，3-银行按揭，4-专项维修资金，5-楼款，6-补差款，7-意向金，
     */
    private String contentType;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date handleDate;

    /**
     * 收/退款方式（收款方式）1-现金，2-支付宝，3-微信，4-银行卡，
     */
    private String paymentMethod;

    /**
     * 收款日期
     */
    private String collectionDate;

    /**
     * ncc 收款账号
     */
    private String bankNumber;

    /**
     * ncc 银行流水号
     */
    private String bankSerialId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createdAt;

    private String createdName;

    private Integer ncSubmitStatus;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ncSubmitDate;

    private String ncSubmitName;

    /**
     * 转换类型
     */
    private String convertType;

    /**
     * 转换日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date convertDate;

    private String houseId;

    /**
     * 收款日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date payTime;

    /**
     * ncId  p.nc_json,
     *             p.nc_submit_status,
     *             p.nc_submit_date,
     *             p.nc_submit_name,
     */
    private String ncCode;

    private String ncJson;

    /**
     * nc 报错信息
     */
    private String errorMessage;

    private String businessId;

    private String businessType;


    // 条件查询
    /*
     * 批量查询时，discIds为discId拼接的字符串，discIdList为discId的集合
     */
    private String discIds;

    private List<String> discIdList;

    private List<String> idList;

    private String collectionDateFrom;

    private String collectionDateTo;

}
